## maemo-security-certman 0.2.9

=== updateca/Makefile ===
parse-certdata-txt: parse-certdata-txt.c
	gcc -o $@ `pkg-config --libs --cflags openssl` $<
