=== debian/control ===
Source: maemo-security-certman
Section: user/other
Priority: extra
Maintainer: Juhani Mäkelä <ext-juhani.3.makela@nokia.com>
Build-Depends: debhelper (>= 5), autotools-dev, fakeroot, libtool, pkg-config,
 libssl-dev, libosso-dev (>= 1.0.2-1), libdbus-glib-1-2 (>= 0.60-1osso1), 
 libexpat1-dev, microb-engine-dev
Standards-Version: 3.7.2

Package: libmaemosec0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Maemo security base library
 The common security base library 

Package: libmaemosec0-dbg
Section: libdevel
Architecture: any
Priority: extra
Depends: libmaemosec0 (= ${Source-Version})
Description: Debug symbols for maemo security base library
 Debug symbols for the the maemo security base library 

Package: libmaemosec-dev
Section: libdevel
Architecture: any
Depends: libmaemosec0 (=${binary:Version}), libssl-dev
Description: Maemo security base library
 Development files for the maemo security base library 

Package: libmaemosec-certman0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libnss3 | libnss3-0d | libnss3-1d
Description: Maemo certificate manager shared library
 The maemo certificate manager shared library.

Package: libmaemosec-certman0-dbg
Section: libdevel
Architecture: any
Depends: libmaemosec-certman0 (= ${Source-Version})
Description: Debug symbols for maemo certificate manager shared library
 Debug symbols for the maemo certificate manager shared library.

Package: libmaemosec-certman-dev
Section: libdevel
Architecture: any
# Conflicts: libcst-dev
# Replaces: libcst-dev
Depends: libmaemosec-certman0 (=${binary:Version}), libmaemosec-dev, libssl-dev
Description: Maemo certificate manager shared library headers and librariers
 Development files for the maemo certificate manager.

Package: maemosec-certman-tools
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: Maemo certificate manager runtime tools
 The command line tools for managing certificate stores.

Package: maemosec-certman-tools-dbg
Section: devel
Architecture: any
Depends: maemosec-certman-tools (= ${Source-Version})
Description: Debug symbols for maemo certificate manager runtime tools
 Debug symbols for the command line tools of maemo certificate manager

Package: maemosec-certman-common-ca
Architecture: all
Section: libs
Depends: openssl
Description: Common CA certificates
 The common CA certificate store.

Package: maemosec-certman-doc
Section: doc
Architecture: all
Description: Maemo certificate manager documentation
 Maemo certificate manager documentation is currently empty.
