## maemo-security-certman 0.2.9

=== debian/changelog ===
maemo-security-certman (0.2.9) unstable; urgency=low

  Certificate fix for location-proxy

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Sun,  5 Feb 2017 11:58:10 -0500

maemo-security-certman (0.2.8) unstable; urgency=low

  Update the root CA store to match mozilla-central revision e581572bc9c1

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Sat,  4 Feb 2017 19:43:36 -0500

maemo-security-certman (0.2.7) unstable; urgency=low

  Update the root CA store to match mozilla-central revision aca64a177c44 

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Sat, 29 Oct 2016 18:45:04 -0400

maemo-security-certman (0.2.6) unstable; urgency=low

  Update the root CA store to match mozilla-central revision bb5316a4c7c2

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Sun, 31 Jul 2016 04:27:28 -0400

maemo-security-certman (0.2.5) unstable; urgency=low

  Update the root CA store to match mozilla-central revision 1f84dea6508d

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Mon,  4 Apr 2016 17:47:10 -0400

maemo-security-certman (0.2.4) unstable; urgency=low

  Backport a change from Harmattan to handle the fact that /etc is a symlink
  in Scratchbox
  Add a tool and instructions for updating the root CA store
  Update the root CA store to match the Mozilla certdata.txt file from 
  the mozilla-central repositiory at revision 64df3815df9c

 -- Jonathan Wilson <jfwfreo@tpgi.com.au>  Mon,  8 Feb 2016 07:41:40 -0500

maemo-security-certman (0.2.3) unstable; urgency=low

  Change the order of VerSign root certificates, so "newer" certificate
  to appear first. Fixes supl server not working.

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Fri,  30 Aug 2013 12:36:42 +0300
